<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'

const receiptStore = useReceiptStore()
</script>

<template>
  <v-dialog v-model="receiptStore.qrDialog" persistent max-width="500" class="font">
    <v-card>
      <v-img :src="`./img/QR.png`" alt="QR Code"></v-img>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="green-darken-1"
          variant="text"
          @click="
            () => {
              receiptStore.qrDialog = false
            }
          "
        >
          Cancel
        </v-btn>
        <v-btn
          color="green-darken-1"
          variant="text"
          @click="
            () => {
              receiptStore.qrDialog = false
              receiptStore.receiptDialog = true
            }
          "
        >
          Success
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped>
.font {
  font-family: 'Kanit';
}
</style>
